//----------------------------------------------------------------------------
//
//   APPLOAD.DCL   Version 1.0
//
//   Copyright (C) 1991-1993 by Autodesk, Inc.
//
//   Permission to use, copy, modify, and distribute this software
//   for any purpose and without fee is hereby granted, provided
//   that the above copyright notice appears in all copies and that
//   both that copyright notice and this permission notice appear in
//   all supporting documentation.
//
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//----------------------------------------------------------------------------
//   MEGA APP LOADER V1.013a
//   2-29-1996 This DCL file has been edited to add Select All,
//   Clear All, Invert Selection List, Load All, and Unload All buttons.
//   It also includes support buttons and other tiles for Group Lists
//   to organize Lisp and ADS routines according to application and needs.
//
//
//   Changes are copyright (C) 1996 by Derek L. Cromwell. All Rights Reserved.
//----------------------------------------------------------------------------
//
//    APPLOAD.DCL - Dialogue definitions for APPLOAD.LSP
//
//----------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }

Remove_Verify : dialog {
       initial_focus = "no";
    label = "Warning";
        : text_part {
            label = "Are you sure you want to remove file(s)?";
        }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;

            : button {
            label = " Yes ";
            key = "yes";
            mnemonic = "Y";
        }
            : spacer {
                     width = 2;
        }
            : button {
            label = " No ";
            key = "no";
            mnemonic = "N";
            is_cancel = true;
        }
    }
}


new_group : dialog {
          aspect_ratio = 0;
         initial_focus = "Group_Name";
          label = "R13 Mega-APP Loader for LISP, ADS and ARX";
                   : column {
                            :edit_box {
                                       label = "Group Name: ";
                                    mnemonic = "G";
                                  edit_width = 35 ;
                                         key = "Group_Name";
                                allow_accept = true;
                                       }
                            }
                    ok_cancel;
          }

appload : dialog        {
        aspect_ratio = 0;
        label = "R13 Mega-APP Loader for LISP, ADS and ARX                ***UNREGISTERED***";
        : row {
            : column {

                   :popup_list {
                      label = "Group List:" ;
                   mnemonic = "G";
                        key = "Group_List" ;
                 edit_width = 35 ;
                               }

                   : list_box {
                       label = "Files to Load" ;
                 mnemonic = "i";
                       key = "fp_list";
                       width =  50;
                       height = 8;
                       multiple_select = true;
                   }
             }
          : column {
                 : button {
                  label = "New Group...";
                  key = "New_Group";
                  mnemonic = "N";
              }
                 : button {
                  label = "Remove Group";
                  key = "Remove_Group";
                  mnemonic = "m";
              }
              spacer_1;
                 : button {
                  label = "New File...";
                  key = "add_to_list";
                  mnemonic = "F";
              }
                    : button {
                        label = "Remove File" ;
                           key   = "remove_item" ;
                  mnemonic = "R";
                        }
                 : button {
                  label = "Select All";
                  key = "Select_All";
                  mnemonic = "S";
              }
                 : button {
                  label = "Clear All";
                  key = "Clear_All";
                  mnemonic = "C";
              }
                 : button {
                  label = "Invert List";
                  key = "Invert_List";
                  mnemonic = "I";
              }
                    : toggle {
                        label = "Save List" ;
                           key   = "save_list" ;
                  mnemonic = "S";                                                                                     
                        }
               spacer_1;
                 : button {
                  label = "About Mega-APP Loader";
                  key = "About_MAL";
                  mnemonic = "b";
                }
              }
                
     }
     spacer_1;
     : row {
         spacer_1;
         : button {
             label = "Load";
             key = "load";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             mnemonic = "L";
         }
         : button {
             label = "Load All";
             key = "load_all";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             mnemonic = "A";
         }
         : button {
             label = "Unload";
             key = "unload";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             mnemonic = "U";
         }
         : button {
             label = "Unload All";
             key = "unload_all";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             mnemonic = "o";
         }
         : button {
             label = "Exit";
             key = "cancel";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             is_cancel       = true;
             mnemonic = "E";
         }
         help_button;
         spacer_1;
     }
        errtile;
}
